<!-- Задание
Дополнить функцию createNewUser() методами подсчета возраста пользователя и его паролем. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

Технические требования:
Возьмите выполненное домашнее задание номер 4 (созданная вами функция createNewUser()) и дополните ее следующим функционалом:
При вызове функция должна спросить у вызывающего дату рождения (текст в формате dd.mm.yyyy) и сохранить ее в поле birthday.
Создать метод getAge() который будет возвращать сколько пользователю лет.
Создать метод getPassword(), который будет возвращать первую букву имени пользователя в верхнем регистре, соединенную с фамилией (в нижнем регистре) и годом рождения. (например, Ivan Kravchenko 13.03.1992 → Ikravchenko1992).
Вывести в консоль результат работы функции createNewUser(), а также функций getAge() и getPassword() созданного объекта. -->



<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW5 -user-age-password</title>
    <style>
        p {
            display: block;
            margin: 15px;
            padding: 25px;
            font-size: 20px;
            line-height: 28px;
            text-align: justify;
            width: auto;
            background-color: aqua;
            border: solid, red;
            border-radius: 7px;
        }

        span {
            display: block;
            margin: 30px 30px 30px 30px;
            padding: 10px;
            justify-content: center;
            text-align: center;
            font-weight: bold;
            font-size: 28px;
            background: chocolate;
            border-radius: 50px 50px;

        }
    </style>
</head>

<body>
    <p>
        При необходимости использовать в коде или найти в коде или файлах спец-символы, в запросах следует их как бы
        выдернуть
        из процесса парсинга обработчика среды разработки для того, чтобы они превратились из спец-символов в простые
        символы.
        Этот процесс имеет название - экранирование. Выполняется это с помощью обратного слеша ( \ или обратная косая
        черта)
        Экранировать необходимо вот эти спец-символы:
        <span>[ ] \ ^ $ . | ? * + ( ).</br></span>
    </p>

    <script>
        let firstName = prompt('Введите ваше имя');
        let lastName = prompt('Введите вашау фамилию');
        let birthdayString = prompt('Введите даиу рождения', 'dd.mm.yyyy');
        

        function createNewUser(firstName, lastName, birthdayString) {
            let birthday = new Date(birthdayString.slice(6), birthdayString.slice(3, 5) - 1, birthdayString.slice(0, 2));
            return {
                firstName: firstName,
                lastName: lastName,
                birthday: birthday,
                getLogin: function () {
                    return this.firstName.charAt(0).toLowerCase() + this.lastName.toLowerCase()
                },
                getPassword: function() {
                    return firstName.charAt(0).toLowerCase() + lastName.toLowerCase() + birthday.getFullYear()
                },
                getAge: function() {
                    return new Date().getFullYear() - birthday.getFullYear()
                }
            }
        }
     
        
        
        const user1 = createNewUser(firstName, lastName, birthdayString)

        console.log(`Login: ${user1.getLogin()}`);
        console.log(`Password: ${user1.getPassword()}`);
        console.log(`User age: ${user1.getAge()}`);


      
    </script>

</body>

</html>